Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.api
Class PortalRuntimeContextImpl

    java.lang.Object
      org.jboss.portal.core.impl.api.PortalRuntimeContextImpl

All Implemented Interfaces:
  PortalRuntimeContext

    public class PortalRuntimeContextImpl

extends java.lang.Object
implements PortalRuntimeContext

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`PortalRuntimeContextImpl(ControllerContext controllerContext)`
`PortalRuntimeContextImpl(javax.servlet.http.HttpSession session)`
`PortalRuntimeContextImpl(javax.servlet.http.HttpSession session, java.lang.String userId)`

Method Summary
`NavigationalStateContext` | `getNavigationalStateContext()` Returns the navigational state context or null if no navigational state is associated with the context.
`PortalSession` | `getSession()` Return the portal session or null if no session is associated with the context.
`PortalNodeURLFactory` | `getURLFactory()`
`java.lang.String` | `getUserId()` Return the user id or null if no user is associated with the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalRuntimeContextImpl

    public PortalRuntimeContextImpl(javax.servlet.http.HttpSession session)

### PortalRuntimeContextImpl

    public PortalRuntimeContextImpl(javax.servlet.http.HttpSession session,
                                    java.lang.String userId)

### PortalRuntimeContextImpl

    public PortalRuntimeContextImpl(ControllerContext controllerContext)

Method Detail

### getUserId

    public java.lang.String getUserId()

  Description copied from interface: `PortalRuntimeContext`
  Return the user id or null if no user is associated with the context.

  Specified by:
    `getUserId` in interface `PortalRuntimeContext`
  Returns:
    the user id

### getSession

    public PortalSession getSession()

  Description copied from interface: `PortalRuntimeContext`
  Return the portal session or null if no session is associated with the context.

  Specified by:
    `getSession` in interface `PortalRuntimeContext`
  Returns:
    the portal session

### getNavigationalStateContext

    public NavigationalStateContext getNavigationalStateContext()

  Description copied from interface: `PortalRuntimeContext`
  Returns the navigational state context or null if no navigational state is associated with the context.

  Specified by:
    `getNavigationalStateContext` in interface `PortalRuntimeContext`
  Returns:
    the navigational state context

### getURLFactory

    public PortalNodeURLFactory getURLFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD